# RiskModelSampleSummary.MarketerRisk (ARX Developer Documentation)

org.deidentifier.arx.risk

## Class RiskModelSampleSummary.MarketerRisk

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleSummary.MarketerRisk

- Enclosing class:
    RiskModelSampleSummary

      public static class RiskModelSampleSummary.MarketerRisk
      extends java.lang.Object

  Marketer risk

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RiskModelSampleSummary.MarketerRisk(double rC)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getSuccessRate()` Proportion of records that can be re-identified on average

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskModelSampleSummary.MarketerRisk

          protected RiskModelSampleSummary.MarketerRisk(double rC)

      Creates a new instance
      Parameters:
        `rC` -

  - ### Method Detail

    - #### getSuccessRate

          public double getSuccessRate()

      Proportion of records that can be re-identified on average
      Returns: